Access the field as a property

- « SolrDocument::fieldExists

- SolrDocument::getChildDocuments »

- PHP Manual
- SolrDocument
- Access the field as a property

# SolrDocument::__get

(PECL solr >= 0.9.2)

SolrDocument::__get — Access the field as a property

### Description

public SolrDocument::__get(string `$fieldName`): SolrDocumentField

Magic method for accessing the field as a property.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns a SolrDocumentField instance.